﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HITASKJOB') 
 CREATE TABLE T_WF_HITASKJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCKEXPTIME DATETIME,
FLOCKOWNERID VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FRETRIES INT DEFAULT 3 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECUTOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUCCESS CHAR(1) DEFAULT '1' NOT NULL,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(60) DEFAULT ' ' NOT NULL,
FROOTJOBID BIGINT DEFAULT 0 NOT NULL,
FBIZTRACENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANNELNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FTODOSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FINTERFACETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL,
FDELETEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HITASKJOB_L') 
 CREATE TABLE T_WF_HITASKJOB_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HITASKJOBRETRYLOG') 
 CREATE TABLE T_WF_HITASKJOBRETRYLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELLOGID BIGINT DEFAULT 0 NOT NULL,
FOPERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETRYDATE DATETIME,
FRESULT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FDELETEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_HITASKJOBRETRYLOG_L') 
 CREATE TABLE T_WF_HITASKJOBRETRYLOG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TASKJOB') 
 CREATE TABLE T_WF_TASKJOB (
FID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCKEXPTIME DATETIME,
FLOCKOWNERID VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXCLUSIVE CHAR(1) DEFAULT '0' NOT NULL,
FEXECUTIONID BIGINT DEFAULT 0 NOT NULL,
FPROCESSINSTANCEID BIGINT DEFAULT 0 NOT NULL,
FPROCDEFID BIGINT DEFAULT 0 NOT NULL,
FRETRIES INT DEFAULT 3 NOT NULL,
FEXCEPTIONMSG NCLOB,
FDUEDATE DATETIME,
FREPEAT VARCHAR(255) DEFAULT ' ' NOT NULL,
FHANDLERTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FHANDLERCFG NCLOB,
FBUSINESSKEY VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(300) DEFAULT ' ' NOT NULL,
FENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FELEMENTID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FSRCJOBID BIGINT DEFAULT 0 NOT NULL,
FROOTTRACENO VARCHAR(100) DEFAULT ' ' NOT NULL,
FEXECUTOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FSUCCESS CHAR(1) DEFAULT '1' NOT NULL,
FENDTIME DATETIME,
FDURATION BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(60) DEFAULT ' ' NOT NULL,
FROOTJOBID BIGINT DEFAULT 0 NOT NULL,
FBIZTRACENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FORGUNITID BIGINT DEFAULT 0 NOT NULL,
FORGVIEWID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANNELNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FTODOSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FINTERFACETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FRETRYCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TASKJOB_L') 
 CREATE TABLE T_WF_TASKJOB_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(115) DEFAULT ' ' NOT NULL,
FACTIVITYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSIGNEENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANNELNAME NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TASKJOBRETRYLOG') 
 CREATE TABLE T_WF_TASKJOBRETRYLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELLOGID BIGINT DEFAULT 0 NOT NULL,
FOPERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRETRYDATE DATETIME,
FRESULT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WF_TASKJOBRETRYLOG_L') 
 CREATE TABLE T_WF_TASKJOBRETRYLOG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\WF_table.sql **/
